require 'Items/ProceduralDistributions'
require "Items/SuburbsDistributions"
require "Vehicles/VehicleDistributions"



table.insert(ProceduralDistributions["list"]["SurvivalGear"].junk.items, "PipeBomb");
table.insert(ProceduralDistributions["list"]["SurvivalGear"].junk.items, 0.1);

table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].junk.items, "PipeBomb");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].junk.items, 0.01);



--Gunstores

table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, "base.Bullets762AKBox");
table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, 8);
table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, "base.Bullets762PKMBox");
table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, 6);
table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, "base.Bullets22LRBox");
table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, 4);
table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, "base.4mmBulletsBox");
table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, 10);
table.insert(ProceduralDistributions["list"]["GunStoreAmmunition"].items, "base.Bullets762AKBox");
table.insert(ProceduralDistributions["list"]["GunStoreAmmunition"].items, 10);
table.insert(ProceduralDistributions["list"]["GunStoreAmmunition"].items, "base.Bullets762PKMBox");
table.insert(ProceduralDistributions["list"]["GunStoreAmmunition"].items, 8);
table.insert(ProceduralDistributions["list"]["GunStoreAmmunition"].items, "base.Bullets22LRBox");
table.insert(ProceduralDistributions["list"]["GunStoreAmmunition"].items, 6);
table.insert(ProceduralDistributions["list"]["GunStoreAmmunition"].items, "base.4mmBulletsBox");
table.insert(ProceduralDistributions["list"]["GunStoreAmmunition"].items, 10);
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, "base.ShashkaGoldBrown");
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, 0.01);
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, "base.ShashkaGoldBlack");
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, 0.01);
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, "base.ShashkaSilverBrown");
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, 0.01);
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, "base.ShashkaSilverBlack");
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, 0.01);
table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, "base.VeprKM");
table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, 0.01);
table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, "base.IZH38Shotgun");
table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, 20);
table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, "base.IzhRifle");
table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, 15);
table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, "base.TOZ34Shotgun");
table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, 10);
table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, "base.Shotgun");
table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, 10);
table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, "base.CleanKitSG");
table.insert(ProceduralDistributions["list"]["GunStoreCounter"].items, 15);
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, "base.VeprKM");
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, 0.01);
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, "base.IZH38Shotgun");
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, 20);
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, "base.IzhRifle");
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, 15);
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, "base.TOZ34Shotgun");
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, 10);
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, "base.Shotgun");
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, 10);
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, "base.CleanKitSG");
table.insert(ProceduralDistributions["list"]["GunStoreDisplayCase"].items, 5);
table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, "base.PSOScope");
table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, 0.006);
table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, "base.PUScope");
table.insert(ProceduralDistributions["list"]["GunStoreShelf"].items, 5);


--Firearms


table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.Bullets22LRBox");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 3);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.Bullets9x18mmBox");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 6);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.Bullets9mmBox");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 1);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.Bullets762TokarevBox");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 4);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.Bullets762NagantBox");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 2);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.Bullets762AKBox");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 8);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.Bullets762PKMBox");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 4);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.762TokarevPPSHClip");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 0.01);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.SVTMagazine");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 0.4);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.MP40Mag");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 0.05);
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "base.VeprKM");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 0.01);
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "base.SVTrifle");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 2);
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "base.Mosin");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 5);
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "base.PPShsmg");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 0.05);
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "base.MP40smg");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 0.01);
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "base.PPSsmg");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 0.01);
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "base.Revolver_Long");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 5);
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "base.IzhRifle");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 9);
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "base.TOZ34Shotgun");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 9);
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "base.Shotgun");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 3);
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "base.IZH38Shotgun");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 10);
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "base.4mmBulletsBox");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 5);
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, "base.VarmintRifle");
table.insert(ProceduralDistributions["list"]["GarageFirearms"].items, 5);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.VeprKM");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 1);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.Mosin");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 2);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.SVTrifle");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 2);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.MP40smg");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 0.01);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.AKM");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 1);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.AKMS_Folded");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 0.8);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.AKS74Rifle");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 2);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.PPSsmg");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 0.5);
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, "base.DoubleBarrelShotgunSawnoff");
table.insert(ProceduralDistributions["list"]["FirearmWeapons"].items, 8);


--Drugslabs


table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.Bullets9x18mmBox");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 3);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.9x18mmClip");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.Bullets9mmBox");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 3);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.Bullets762TokarevBox");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 3);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.762TokarevClip");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.762TokarevPPSClip");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 2);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.762TokarevPPSHClip");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 0.2);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.SVTMagazine");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 0.4);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.MP40Mag");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 0.1);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.Canned762AK");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.ShotgunShellsBox");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 2);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.AKMarmygunbox");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.VeprKM");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.AKM");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 10);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.AKMS_Folded");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 3);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.AKS74Rifle_Folded");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 2);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.Mosin");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 6);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.SVTrifle");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 4);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.PPShsmg");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 0.5);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.MP40smg");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 0.3);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.PPSsmg");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 4);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.Revolver_Long");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 8);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.DoubleBarrelShotgunSawnoff");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 15);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.Luger");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 5);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.TOZ34Shotgun");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 10);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.Shotgun");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 8);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.ShotgunSawnoff");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 3);
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, "base.IzhRifle");
table.insert(ProceduralDistributions["list"]["DrugLabGuns"].items, 2);


--Police


table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, "base.Bullets9x18mmBox");
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, 10);
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, "base.Bullets545Box");
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, 10);
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, "base.23x75ShotgunShellsBox");
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, 10);
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, "base.9x18mmClip");
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, 10);
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, "base.9x18mmLargeClip");
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, 5);
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, "base.545Clip");
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, 5);
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, "base.CleanKitMakarov");
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, 10);
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, "base.Canned545");
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, 0.1);
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, "base.KiparisMag");
table.insert(ProceduralDistributions["list"]["PoliceStorageAmmunition"].items, 5);
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, "base.Pistol");
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, 10);
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, "base.Pistol3");
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, "base.PBpistol");
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, 0.05);
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, "base.RSA");
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, 10);
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, "base.Kiparissmg");
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, 5);
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, "base.KS23");
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, 5);
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, "base.KS23S");
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, 0.5);
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, "base.AKSURifle");
table.insert(ProceduralDistributions["list"]["PoliceStorageGuns"].items, 5);


--Army

table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.RGDarmybox");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 3);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.762PKMClip");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.05);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Bullets9x18mmBox");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 10);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Bullets762TokarevBox");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 4);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Bullets762NagantBox");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Bullets545Box");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 5);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Bullets762AKBox");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 5);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Bullets762PKMBox");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 5);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.9x18mmClip");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 20);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.9x18mmLargeClip");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 5);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.762TokarevClip");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 5);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.545Clip");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 10);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.762AKClip");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 15);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.SVDMagazine");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 2);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.SVTMagazine");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 4);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Bullets939Box");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.1);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.939Clip");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.5);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.762TokarevPPSClip");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.2);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.762TokarevPPSHClip");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.1);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Crate_Ammunition545");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.05);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Crate_Ammunition762AK");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.1);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Crate_Ammunition762PKM");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.01);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Crate_Ammunition939");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.001);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Canned545");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.1);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Canned762AK");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.1);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Canned762PKM");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.05);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Canned939");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.009);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.AKMarmygunbox");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.05);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.RGDarmybox");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.Crate_Ammunition545");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.07);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.Crate_Ammunition762AK");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.05);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.Crate_Ammunition762PKM");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.03);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.Crate_Ammunition939");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.01);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.Canned545");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.6);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.Canned762AK");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.5);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.Canned762PKM");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.3);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.Canned939");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.05);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.AKMarmygunbox");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.CleanKitAKS");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.CleanKitAKM");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.Oiler");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.Revolver_Long");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.5);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.AK74MRifle");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 3.5);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.AKS74Rifle");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.PPSsmg");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.01);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.PPShsmg");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.03);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.SVTrifle");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.Mosin");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 1.5);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.AKM");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 5);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.AKMS_Folded");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.SVDRifle");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.5);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.Pistol");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 5);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.Pistol2");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 5);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.PBpistol");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.5);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.APBPistol");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.Pistol3");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.5);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.VSSrifle");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.005);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.ASValrifle");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.005);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.PKMmg");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.001);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.AKsliva");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.PSOScope");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.1P29Scope");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.PUScope");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.PBS1suppressor");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.PBS4suppressor");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.1);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.APBsuppressor");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.1);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.PSOScope");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.PUScope");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.1P29Scope");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.PBS1suppressor");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.4);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.PBS4suppressor");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.3);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.APBsuppressor");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.6);
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "base.TaigaMachete");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 0.5);
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "base.BayonetKnife");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "base.ScoutKnife");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 2);
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "base.TrenchShovel");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 6);
table.insert(ProceduralDistributions["list"]["LockerArmyBedroom"].items, "base.TaigaMacheteArmy");
table.insert(ProceduralDistributions["list"]["LockerArmyBedroom"].items, 0.5);
table.insert(ProceduralDistributions["list"]["LockerArmyBedroom"].items, "base.BayonetKnife");
table.insert(ProceduralDistributions["list"]["LockerArmyBedroom"].items, 5);
table.insert(ProceduralDistributions["list"]["LockerArmyBedroom"].items, "base.ScoutKnife");
table.insert(ProceduralDistributions["list"]["LockerArmyBedroom"].items, 4);
table.insert(ProceduralDistributions["list"]["LockerArmyBedroom"].items, "base.TrenchShovel");
table.insert(ProceduralDistributions["list"]["LockerArmyBedroom"].items, 6);
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, "base.BayonetKnife");
table.insert(ProceduralDistributions["list"]["ArmyStorageGuns"].items, 0.6);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.CleanKitPKM");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.CleanKitVSS");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 0.1);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.CleanKitMakarov");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 2);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.CleanKitAKS");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 5);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.CleanKitAKM");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 4);
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, "base.Oiler");
table.insert(ProceduralDistributions["list"]["ArmyStorageAmmunition"].items, 4);
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "base.CleanKitPKM");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 1);
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "base.CleanKitMakarov");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 5);
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "base.CleanKitAKS");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 5);
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "base.CleanKitAKM");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 5);
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "base.CleanKitVSS");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 0.1);
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, "base.CleanKitSG");
table.insert(ProceduralDistributions["list"]["ArmySurplusTools"].items, 3);



--Melee

table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, "base.TaigaMachete");
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, 0.5);
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, "base.TaigaMacheteArmy");
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, 0.1);
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, "base.BayonetKnife");
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, 5);
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, "base.ScoutKnife");
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, 5);
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, "base.TrenchShovel");
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, 5);
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, "base.ShashkaGoldBrown");
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, 0.001);
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, "base.ShashkaGoldBlack");
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, 0.001);
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, "base.ShashkaSilverBrown");
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, 0.001);
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, "base.ShashkaSilverBlack");
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, 0.001);
table.insert(ProceduralDistributions["list"]["CrateTools"].items, "base.TaigaMachete");
table.insert(ProceduralDistributions["list"]["CrateTools"].items, 0.01);
table.insert(ProceduralDistributions["list"]["CrateTools"].items, "base.TrenchShovel");
table.insert(ProceduralDistributions["list"]["CrateTools"].items, 4);
table.insert(ProceduralDistributions["list"]["ToolStoreFarming"].items, "base.TaigaMachete");
table.insert(ProceduralDistributions["list"]["ToolStoreFarming"].items, 0.02);
table.insert(ProceduralDistributions["list"]["ToolStoreFarming"].items, "base.TrenchShovel");
table.insert(ProceduralDistributions["list"]["ToolStoreFarming"].items, 5);
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, "base.TaigaMachete");
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, 2);
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, "base.TaigaMacheteArmy");
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, 0.1);
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, "base.ShashkaGoldBrown");
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, 0.01);
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, "base.ShashkaGoldBlack");
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, 0.01);
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, "base.ShashkaSilverBrown");
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, 0.01);
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, "base.ShashkaSilverBlack");
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, 0.01);
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, "base.BayonetKnife");
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, 4);
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, "base.ScoutKnife");
table.insert(ProceduralDistributions["list"]["PawnShopKnives"].items, 3);
table.insert(ProceduralDistributions["list"]["DrugShackWeapons"].items, "base.BayonetKnife");
table.insert(ProceduralDistributions["list"]["DrugShackWeapons"].items, 3);
table.insert(ProceduralDistributions["list"]["DrugShackWeapons"].items, "base.ScoutKnife");
table.insert(ProceduralDistributions["list"]["DrugShackWeapons"].items, 3);
table.insert(ProceduralDistributions["list"]["Trapper"].items, "base.TaigaMachete");
table.insert(ProceduralDistributions["list"]["Trapper"].items, 0.5);
table.insert(ProceduralDistributions["list"]["Trapper"].items, "base.ScoutKnife");
table.insert(ProceduralDistributions["list"]["Trapper"].items, 2);
table.insert(ProceduralDistributions["list"]["Trapper"].items, "base.TrenchShovel");
table.insert(ProceduralDistributions["list"]["Trapper"].items, 2);
table.insert(ProceduralDistributions["list"]["SurvivalGear"].items, "base.TaigaMachete");
table.insert(ProceduralDistributions["list"]["SurvivalGear"].items, 2);
table.insert(ProceduralDistributions["list"]["SurvivalGear"].items, "base.ScoutKnife");
table.insert(ProceduralDistributions["list"]["SurvivalGear"].items, 2);
table.insert(ProceduralDistributions["list"]["SurvivalGear"].items, "base.TrenchShovel");
table.insert(ProceduralDistributions["list"]["SurvivalGear"].items, 4);


--Others


table.insert(ProceduralDistributions["list"]["CabinetFactoryTools"].items, "base.Oiler");
table.insert(ProceduralDistributions["list"]["CabinetFactoryTools"].items, 7);
table.insert(ProceduralDistributions["list"]["ArmyHangarTools"].items, "base.Oiler");
table.insert(ProceduralDistributions["list"]["ArmyHangarTools"].items, 5);
table.insert(ProceduralDistributions["list"]["CrateTools"].items, "base.Oiler");
table.insert(ProceduralDistributions["list"]["CrateTools"].items, 4);
table.insert(ProceduralDistributions["list"]["ToolStoreMisc"].items, "base.Oiler");
table.insert(ProceduralDistributions["list"]["ToolStoreMisc"].items, 3);
table.insert(ProceduralDistributions["list"]["GarageTools"].items, "base.Oiler");
table.insert(ProceduralDistributions["list"]["GarageTools"].items, 2);
table.insert(ProceduralDistributions["list"]["Trapper"].items, "base.CleanKitPKM");
table.insert(ProceduralDistributions["list"]["Trapper"].items, 2);
table.insert(ProceduralDistributions["list"]["Trapper"].items, "base.CleanKitSG");
table.insert(ProceduralDistributions["list"]["Trapper"].items, 3);
table.insert(ProceduralDistributions["list"]["SurvivalGear"].items, "base.CleanKitPKM");
table.insert(ProceduralDistributions["list"]["SurvivalGear"].items, 2);
table.insert(ProceduralDistributions["list"]["SurvivalGear"].items, "base.CleanKitSG");
table.insert(ProceduralDistributions["list"]["SurvivalGear"].items, 3);
table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, "base.TOZ34Shotgun");
table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, 8);
table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, "base.IzhRifle");
table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, 5);
table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, "base.Shotgun");
table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, 10);
table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, "base.DoubleBarrelShotgun");
table.insert(ProceduralDistributions["list"]["BarCounterWeapon"].items, 10);
table.insert(ProceduralDistributions["list"]["Hunter"].items, "base.VeprKM");
table.insert(ProceduralDistributions["list"]["Hunter"].items, 0.01);
table.insert(ProceduralDistributions["list"]["Hunter"].items, "base.TOZ34Shotgun");
table.insert(ProceduralDistributions["list"]["Hunter"].items, 5);
table.insert(ProceduralDistributions["list"]["Hunter"].items, "base.IzhRifle");
table.insert(ProceduralDistributions["list"]["Hunter"].items, 1);
table.insert(ProceduralDistributions["list"]["Hunter"].items, "base.Shotgun");
table.insert(ProceduralDistributions["list"]["Hunter"].items, 5);
table.insert(ProceduralDistributions["list"]["Hunter"].items, "base.DoubleBarrelShotgun");
table.insert(ProceduralDistributions["list"]["Hunter"].items, 10);
table.insert(ProceduralDistributions["list"]["Hunter"].items, "base.VarmintRifle");
table.insert(ProceduralDistributions["list"]["Hunter"].items, 1);


WeaponUpgrades = {
   HuntingRifle = {"PUscope"},
   SVTrifle = {"PUscope"},
   VSSrifle = {"PSOScope", "1P29Scope"},
   ASValrifle = {"PSOScope", "1P29Scope"},
   AK74MRifle = {"PBS4suppressor", "PSOScope", "1P29Scope"},
   AKS74Rifle = {"PBS4suppressor", },
   AKSURifle = {"PBS4suppressor"},
   AssaultRifle = {"PBS4suppressor"},
   AssaultRifle2 = { "PSOScope", "1P29Scope"},
   AKM = {"PBS1suppressor"},
   AKMS = {"PBS1suppressor"},
   AKMS_Folded = {"PBS1suppressor"},
   APBPistol = {"APBsuppressor"},
}



RemoveItemFromDistribution(Distributions[1], "Revolver_Short",		nil, true);
RemoveItemFromDistribution(Distributions[1], "Revolver",		nil, true);
RemoveItemFromDistribution(Distributions[1], "ChokeTubeImproved",	nil, true);
RemoveItemFromDistribution(Distributions[1], "ChokeTubeFull",		nil, true);
RemoveItemFromDistribution(Distributions[1], "Bayonet",			nil, true);
RemoveItemFromDistribution(Distributions[1], "RedDot",			nil, true);
RemoveItemFromDistribution(Distributions[1], "GunLight",		nil, true);
RemoveItemFromDistribution(Distributions[1], "Laser",			nil, true);
RemoveItemFromDistribution(Distributions[1], "RecoilPad",		nil, true);
RemoveItemFromDistribution(Distributions[1], "Sling", 			nil, true);
RemoveItemFromDistribution(Distributions[1], "FiberglassStock",		nil, true);
RemoveItemFromDistribution(Distributions[1], "AmmoStraps", 		nil, true);
RemoveItemFromDistribution(Distributions[1], "IronSight",	 	nil, true);
RemoveItemFromDistribution(Distributions[1], "x2Scope",			nil, true);
RemoveItemFromDistribution(Distributions[1], "x4Scope",			nil, true);
RemoveItemFromDistribution(Distributions[1], "x8Scope",			nil, true);
RemoveItemFromDistribution(Distributions[1], "Bullets9mmBox",		nil, true);
RemoveItemFromDistribution(Distributions[1], "9mmClip",			nil, true);
RemoveItemFromDistribution(Distributions[1], "Bullets45Box",		nil, true);
RemoveItemFromDistribution(Distributions[1], "45Clip",			nil, true);
RemoveItemFromDistribution(Distributions[1], "Bullets44Box",		nil, true);
RemoveItemFromDistribution(Distributions[1], "44Clip",			nil, true);
RemoveItemFromDistribution(Distributions[1], "Bullets38Box",		nil, true);
RemoveItemFromDistribution(Distributions[1], "223Box",			nil, true);
RemoveItemFromDistribution(Distributions[1], "223Clip",			nil, true);
RemoveItemFromDistribution(Distributions[1], "556Box",			nil, true);
RemoveItemFromDistribution(Distributions[1], "556Clip",			nil, true);
RemoveItemFromDistribution(Distributions[1], "308Box",			nil, true);
RemoveItemFromDistribution(Distributions[1], "308Clip",			nil, true);
RemoveItemFromDistribution(Distributions[1], "M14Clip",			nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "Revolver_Short",	nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "Revolver",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "ChokeTubeImproved",	nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "ChokeTubeFull",	nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "Bayonet",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "RedDot",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "GunLight",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "Laser",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "RecoilPad",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "Sling", 		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "FiberglassStock", 	nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "AmmoStraps", 		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "IronSight", 		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "x2Scope",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "x4Scope",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "x8Scope",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "Bullets9mmBox",	nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "9mmClip",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "Bullets45Box",	nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "45Clip",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "Bullets44Box",	nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "44Clip",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "Bullets38Box",	nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "223Box",	        nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "223Clip",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "556Box",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "556Clip",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "308Box",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "308Clip",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "M14Clip",		nil, true);

RemoveItemFromDistribution(VehicleDistributions, "Revolver",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "Revolver_Short",	nil, true);
RemoveItemFromDistribution(VehicleDistributions, "HuntingRifle",	nil, true);
RemoveItemFromDistribution(VehicleDistributions, "ChokeTubeImproved",	nil, true);
RemoveItemFromDistribution(VehicleDistributions, "ChokeTubeFull",	nil, true);
RemoveItemFromDistribution(VehicleDistributions, "Bayonet",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "RedDot",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "GunLight",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "Laser",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "RecoilPad",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "Sling", 		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "FiberglassStock", 	nil, true);
RemoveItemFromDistribution(VehicleDistributions, "AmmoStraps",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "IronSight",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "x2Scope",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "x4Scope",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "x8Scope",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "Bullets9mmBox",	nil, true);
RemoveItemFromDistribution(VehicleDistributions, "9mmClip",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "Bullets45Box",	nil, true);
RemoveItemFromDistribution(VehicleDistributions, "45Clip",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "Bullets44Box",	nil, true);
RemoveItemFromDistribution(VehicleDistributions, "44Clip",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "Bullets38Box",        nil, true);
RemoveItemFromDistribution(VehicleDistributions, "223Box",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "223Clip",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "556Box",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "556Clip",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "308Box",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "308Clip",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "M14Clip",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "ShotgunShellsBox",	nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list, "Revolver",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "Revolver_Short",	nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "ChokeTubeImproved",	nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "ChokeTubeFull",	nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "Bayonet",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "RedDot",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "GunLight",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "Laser",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "RecoilPad",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "Sling", 		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "FiberglassStock", 	nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "AmmoStraps",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "IronSight",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "x2Scope",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "x4Scope",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "x8Scope",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "M14Clip",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "x2Scope",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "x4Scope",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "x8Scope",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "Bullets9mmBox",	nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "9mmClip",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "Bullets45Box",	nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "45Clip",	        nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "Bullets44Box",	nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "44Clip",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "Bullets38Box",	nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "223Box",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "223Clip",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "556Box",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "556Clip",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "308Box",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "308Clip",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "M14Clip",		nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["FirearmWeapons"], "Bullets9mmBox", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["FirearmWeapons"], "Bullets38Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["FirearmWeapons"], "Bullets45Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["FirearmWeapons"], "Bullets44Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["FirearmWeapons"], "223Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["FirearmWeapons"], "556Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["FirearmWeapons"], "308Box", nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["GunStoreShelf"], "223Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GunStoreShelf"], "556Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GunStoreShelf"], "308Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GunStoreShelf"], "M14Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GunStoreShelf"], "44Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GunStoreShelf"], "45Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GunStoreShelf"], "9mmClip", nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["BedroomDresser"], "Revolver", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["BedroomSideTable"], "Revolver", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["DresserGeneric"], "Revolver", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["DrugLabGuns"], "Revolver", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["DrugShackWeapons"], "Revolver", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["FirearmWeapons"], "Revolver", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GarageFirearms"], "Revolver", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GunStoreDisplayCase"], "Revolver", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["OfficeDeskHome"], "Revolver", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PawnShopGuns"], "Revolver", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PlankStashGun"], "Revolver", nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["LockerArmyBedroom"], "HuntingKnife", nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["GunStoreDisplayCase"], "Pistol", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GunStoreDisplayCase"], "Pistol2", nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["BedroomDresser"], "Pistol3", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["BedroomSideTable"], "Pistol3", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["DresserGeneric"], "Pistol3", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GunStoreDisplayCase"], "Pistol3", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PawnShopGuns"], "Pistol3", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PawnShopGunsSpecial"], "Pistol3", nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["BedroomDresser"], "Revolver_Short", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["BedroomSideTable"], "Revolver_Short", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["BurglarTools"], "Revolver_Short", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["DresserGeneric"], "Revolver_Short", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["DrugLabGuns"], "Revolver_Short", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["DrugShackWeapons"], "Revolver_Short", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["FirearmWeapons"], "Revolver_Short", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GarageFirearms"], "Revolver_Short", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GunStoreDisplayCase"], "Revolver_Short", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["KitchenRandom"], "Revolver_Short", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["OfficeDeskHome"], "Revolver_Short", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PawnShopGuns"], "Revolver", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PlankStashGun"], "Revolver", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["SecurityLockers"], "Revolver", nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "Shotgun", nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageAmmunition"], "ShotgunShellsBox", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "ShotgunShellsBox", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageAmmunition"], "ShotgunShellsBox", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "ShotgunShellsBox", nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "223Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "556Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "308Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "M14Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "44Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "45Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "9mmClip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "Bullets9mmBox", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "Bullets38Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "Bullets45Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "Bullets44Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "223Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "556Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "308Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PoliceStorageGuns"], "HuntingRifle", nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "223Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "556Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "308Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "M14Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "44Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "45Clip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "9mmClip", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "Bullets9mmBox", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "Bullets38Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "Bullets45Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "Bullets44Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "223Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "556Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "308Box", nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["ArmyStorageGuns"], "HuntingRifle", nil, true);
